// stdafx.cpp : source file that includes just the standard includes
// clucene_csharp.pch will be the pre-compiled header
// stdafx.obj will contain the pre-compiled type information

#include "stdafx.h"
#include "CLucene.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
		break;
	case DLL_PROCESS_DETACH:
#if defined(LUCENE_ENABLE_MEMLEAKTRACKING)
		_lucene_shutdown();
		CL_NS(debug)::LuceneBase::__cl_PrintUnclosedObjects(); 
		CL_NS(debug)::LuceneBase::__cl_ClearMemory();
#endif
		break;
	}
    return TRUE;
}
